import { BaseProvider } from '#templates/base/provider';
import { ActiveBuilding } from '#models/ActiveBuilding';

export class ActiveBuildingProvider extends BaseProvider<ActiveBuilding> {
	public static instance: ActiveBuildingProvider;

	public static getInstance(): ActiveBuildingProvider {
		ActiveBuildingProvider.instance ??= new ActiveBuildingProvider();
		return ActiveBuildingProvider.instance;
	}

	public static get model() {
		return ActiveBuilding;
	}

	constructor() {
		super('ActiveBuilding');
	}
}
